<div class="d-flex justify-content-end mb-3">
  <button mat-raised-button color="primary" class="mr-2" (click)="openDialog()">Calcular média</button>
  <button mat-raised-button color="primary" (click)="ordenarPorRevendedor()">Ordenar por Revendedor</button>
</div>

<table mat-table [dataSource]="combustiveis?.itens" class="mat-elevation-z8">
  <ng-container matColumnDef="regiao">
    <th mat-header-cell *matHeaderCellDef>Região</th>
    <td mat-cell *matCellDef="let element"> {{element?.endereco?.regiao}} </td>
  </ng-container>

  <ng-container matColumnDef="sigla">
    <th mat-header-cell *matHeaderCellDef>Sigla Estado</th>
    <td mat-cell *matCellDef="let element"> {{element?.endereco?.sigla}} </td>
  </ng-container>

  <ng-container matColumnDef="municipio">
    <th mat-header-cell *matHeaderCellDef>Municipio</th>
    <td mat-cell *matCellDef="let element"> {{element?.endereco?.municipio}} </td>
  </ng-container>

  <ng-container matColumnDef="revendedor">
    <th mat-header-cell *matHeaderCellDef>Revendedor</th>
    <td mat-cell *matCellDef="let element"> {{element?.revendedor?.descricao}} </td>
  </ng-container>

  <ng-container matColumnDef="codigo">
    <th mat-header-cell *matHeaderCellDef>Codigo</th>
    <td mat-cell *matCellDef="let element"> {{element?.codigo}} </td>
  </ng-container>

  <ng-container matColumnDef="produto">
    <th mat-header-cell *matHeaderCellDef>Produto</th>
    <td mat-cell *matCellDef="let element"> {{element?.produto?.descricao}} </td>
  </ng-container>

  <ng-container matColumnDef="data">
    <th mat-header-cell *matHeaderCellDef>Data</th>
    <td mat-cell *matCellDef="let element"> {{element?.data}} </td>
  </ng-container>

  <ng-container matColumnDef="valorCompra">
    <th mat-header-cell *matHeaderCellDef>Valor Compra</th>
    <td mat-cell *matCellDef="let element"> {{element?.valorCompra | number: '1.3-3'}} </td>
  </ng-container>

  <ng-container matColumnDef="valorVenda">
    <th mat-header-cell *matHeaderCellDef>Valor Venda</th>
    <td mat-cell *matCellDef="let element"> {{element?.valorVenda | number: '1.3-3'}} </td>
  </ng-container>

  <ng-container matColumnDef="unidadeMedida">
    <th mat-header-cell *matHeaderCellDef>Unidade de medida</th>
    <td mat-cell *matCellDef="let element"> {{element?.unidadeMedida}} </td>
  </ng-container>

  <ng-container matColumnDef="bandeira">
    <th mat-header-cell *matHeaderCellDef>Bandeira</th>
    <td mat-cell *matCellDef="let element"> {{element?.bandeira?.descricao}} </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>
<mat-paginator [length]="combustiveis?.totalItens" [pageSize]="10" (page)="paginar($event)" [pageSizeOptions]="[10]">
</mat-paginator>